# PODNAME: Authen::Krb5::Creds
# ABSTRACT: Object representing a credential.

__END__

=pod

=encoding UTF-8

=head1 NAME

Authen::Krb5::Creds - Object representing a credential.

=head1 VERSION

version 1.906

=head1 METHODS

=head2 C<starttime()>

Returns the starttime time property of the credential.

=head2 C<authtime()>

Returns the authtime time property of the credential.

=head2 C<endtime()>

Returns the endtime time property of the credential.

=head2 C<renew_till()>

Returns the renew_till time property of the credential.

=head2 C<server()>

Returns the name of the service principal the credential is for.

=head2 C<client()>

Returns the client principal name (will usually be identical for all
credentials in a credential cache).

=head2 C<ticket()>

Returns the Authen::Krb5::Ticket for this credential.

=head2 C<keyblock()>

Returns the keyblock of the credential.

=head1 AUTHOR

Jeff Horwitz <jeff@smashing.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2000 by Jeff Horwitz.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
